CREATE TABLE fun_wf_routing_instances (
    INSTANCE_ID              NUMBER(18, 0) ,
    TRACE_ID                 VARCHAR2(400)     NOT NULL,
    TRANSACTION_ID           NUMBER(18, 0) ,
    WORKFLOW_ID              NUMBER(18, 0)     NOT NULL,
    EXECUTION_MODE           VARCHAR2(120)     NOT NULL,
    INVOCATION_TIME          TIMESTAMP(6)      NOT NULL,
    START_TIME               TIMESTAMP(6)      NOT NULL,
    COMPLETION_TIME          TIMESTAMP(6)      NOT NULL,
    RESPONSE_RECEIPT_TIME    TIMESTAMP(6)      NOT NULL,
    RESPONSE                 BLOB          ,
    ERROR_MESSAGE            VARCHAR2(4000),
    ADDITIONAL_PARAMETERS    BLOB          ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    INSTANCE_ID              NUMBER(18, 0) ,
    TRACE_ID                 VARCHAR2(400)     NOT NULL,
    TRANSACTION_ID           NUMBER(18, 0) ,
    WORKFLOW_ID              NUMBER(18, 0)     NOT NULL,
    EXECUTION_MODE           VARCHAR2(120)     NOT NULL,
    INVOCATION_TIME          TIMESTAMP(6)      NOT NULL,
    START_TIME               TIMESTAMP(6)      NOT NULL,
    COMPLETION_TIME          TIMESTAMP(6)      NOT NULL,
    RESPONSE_RECEIPT_TIME    TIMESTAMP(6)      NOT NULL,
    RESPONSE                 BLOB          ,
    ERROR_MESSAGE            VARCHAR2(4000),
    ADDITIONAL_PARAMETERS    BLOB          ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    CONSTRAINT pk_fun_wf_routing_instances PRIMARY KEY (INSTANCE_ID, INSTANCE_ID)
);
